#ifndef UI_H
#define UI_H

#include <QWidget>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QScrollArea>
#include <QSlider>
#include <QLabel>
#include <QDir>
#include <QFile>
#include <QFileInfo>
#include <QLineEdit>
#include <QFileInfoList>
#include <QList>

#include "file_item.h"

class Ui : public QWidget
{
    Q_OBJECT

private:

    QSlider         *slider;
    QLineEdit       *search;
    QVBoxLayout     *listLayout;
    QList<FileItem*> fileList;

public:

    Ui(const QStringList &args, QWidget *parent = 0);

public slots:

    void setActiveFile(const QString &name);
    void setActiveDir(const QString &path);
};

#endif // UI_H
